# BEGIN SourceDeps(oneline):
BuildRequires: perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Socket.pm)
# END SourceDeps(oneline)
%define module_name IO-FDpassData
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt4
Summary: send/receive data and/or file descriptor
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MIKER/%{module_name}-%{version}.tar.gz

%description
This module will send and receive data and/or a file descriptor locally over a unix pipe.

=over 2

=item * $bytessent = fd_sendata(socket, message, FD);

  input:_socket file descriptor,
    {optional}_message,__may be zero length string
    {optional}_file descriptor__to send to other process

 NOTE: optional message may be 'undef' or zero length string
       optional FD may be omitted, 'undef'

  returns:_bytes sent
_    or -1 on error

=item * ($bytesrcvd, message, FD) = fd_rcvdata(socket, $maxsize);

  input:_socket file descriptor,
__maximum length to receive_overrun will cause segfault??

  returns:_msg bytes received,__or -1 on error
__message,__may be zero a length string
    {optional}_file descriptor or undef

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes docs
%perl_vendor_archlib/I*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.03-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.03-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.03-alt2
- rebuild with perl 5.30

* Wed Jul 31 2019 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

